[Libreoffice-bugs] [Bug 44203] libpng12.so.0 is needed for installation, but not linked in rpm-packages

bugzilla-daemon at freedesktop.org bugzilla-daemon at freedesktop.org
Wed Jun 6 05:59:51 PDT 2012


https://bugs.freedesktop.org/show_bug.cgi?id=44203

Akinari <arparamir at gmail.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |arparamir at gmail.com
            Version|LibO 3.5.0 Beta2            |LibO 3.5.4 release

--- Comment #2 from Akinari <arparamir at gmail.com> 2012-06-06 05:59:51 PDT ---
The same on Fedora 17 x64: non-fatal error during the installation and LO doesn
start:

/opt/libreoffice3.5/program/soffice.bin: error while loading shared libraries:
libpng12.so.0: cannot open shared object file: No such file or directory

There´s a newer version in repositories: libpng15.so.15.

I´ve solved this issue for me by installing libpng-compat package containing
the needed file /usr/lib64/libpng12.so.0 , but the solution is not evident for
everyone I think.

Is it possible to install libpng-compat automatically as a dependency for LO?

-- 
Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.


More information about the Libreoffice-bugs mailing list